InterfaceGraphique.DialogBoxes

## Class ConnexionBddDialog

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Dialog
        - - javax.swing.JDialog
          - - InterfaceGraphique.DialogBoxes.ConnexionBddDialog

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class ConnexionBddDialog
    extends javax.swing.JDialog
    implements java.awt.event.ActionListener

Boite de dialogue modale permettant de renseigner une configuration de connexion à la base de données.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.JDialog

`javax.swing.JDialog.AccessibleJDialog`

### Nested classes/interfaces inherited from class java.awt.Dialog

`java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

### Nested classes/interfaces inherited from class java.awt.Window

`java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

### Nested classes/interfaces inherited from class java.awt.Container

`java.awt.Container.AccessibleAWTContainer`

### Nested classes/interfaces inherited from class java.awt.Component

`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

### Field Summary

Fields
`private javax.swing.JButton` `annuler` Bouton d'annulation.
`private javax.swing.JButton` `defParams` Bouton pour mettre en place les paramétre de connexion par defaut.
`private javax.swing.JTextField` `ip` Champ pour l'IP du serveur hebergeant la base de données.
`private javax.swing.JTextField` `login` Champ pour le login utilisateur.
`private boolean` `modifEffectuees` Booléen determinant si les paramétre ont été modifié ou non.
`private javax.swing.JTextField` `nomBdd` Champ pour le nom de la base de données.
`private javax.swing.JButton` `ok` Bouton de validation.
`private javax.swing.JPasswordField` `password` Champ pur le mot de passe utilisateur.
`private javax.swing.JFormattedTextField` `port` Champ pour le numéro de port du serveur hebergeant la base de données.
`private javax.swing.JButton` `quitter` Bouton pour quitter l'aplication.

### Fields inherited from class javax.swing.JDialog

`accessibleContext, rootPane, rootPaneCheckingEnabled`

### Fields inherited from class java.awt.Dialog

`DEFAULT_MODALITY_TYPE`

### Fields inherited from class java.awt.Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface javax.swing.WindowConstants

`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Constructor Summary

Constructors
Constructor and Description
`ConnexionBddDialog(java.lang.String nomBdd, int port, java.lang.String ip, java.lang.String login, java.lang.String password, javax.swing.JFrame parent, boolean showExitButton)` Constructeur préremplissant les champs de la boite de dialogue.

### Method Summary

Methods
`void` `actionPerformed(java.awt.event.ActionEvent e)` Répond au clic sur les bouton: restaure la configuration par défault des champs, ou confirme/infirme que des changements on eu lieu, aprés vérification de la conformité des valeurs rentrées dans les champs.
`boolean` `afficher()` Affiche la boite de dialogue.
`private void` `createInterface(java.lang.String defNomBdd, int defPort, java.lang.String defIP, java.lang.String defLogin, java.lang.String defPassword, boolean showExitButton)` Construit l'interface de la boite de dialogue.
`java.lang.String` `getIp()` Renvoie l'ip du serveur bdd.
`java.lang.String` `getLogin()` Renvoie le login de l'utilisateur du serveur bdd.
`java.lang.String` `getNomBdd()` Renvoie le nom de la bdd.
`java.lang.String` `getPassword()` Renvoie le mot de passe de l'utilisateur du serveur bdd.
`int` `getPort()` Renvoie le port du serveur bdd.

### Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

### Methods inherited from class java.awt.Dialog

`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

### Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### nomBdd

    private javax.swing.JTextField nomBdd

Champ pour le nom de la base de données.

#### port

    private javax.swing.JFormattedTextField port

Champ pour le numéro de port du serveur hebergeant la base de données.

#### ip

    private javax.swing.JTextField ip

Champ pour l'IP du serveur hebergeant la base de données.

#### login

    private javax.swing.JTextField login

Champ pour le login utilisateur.

#### password

    private javax.swing.JPasswordField password

Champ pur le mot de passe utilisateur.

#### ok

    private javax.swing.JButton ok

Bouton de validation.

#### annuler

    private javax.swing.JButton annuler

Bouton d'annulation.

#### defParams

    private javax.swing.JButton defParams

Bouton pour mettre en place les paramétre de connexion par defaut.

#### quitter

    private javax.swing.JButton quitter

Bouton pour quitter l'aplication.

#### modifEffectuees

    private boolean modifEffectuees

Booléen determinant si les paramétre ont été modifié ou non.

### Constructor Detail

#### ConnexionBddDialog

    public ConnexionBddDialog(java.lang.String nomBdd,
                      int port,
                      java.lang.String ip,
                      java.lang.String login,
                      java.lang.String password,
                      javax.swing.JFrame parent,
                      boolean showExitButton)

Constructeur préremplissant les champs de la boite de dialogue.

Parameters:
  `nomBdd` - Nom base de données.
  `port` - Port serveur base de données.
  `ip` - Adresse ip serveur base de données.
  `login` - Login utilisateur base de données.
  `password` - Mot de passe utilisateur base de données.
  `parent` - Parent
  `showExitButton` - Afficher on non un bouton pour quitter l'aplication.

### Method Detail

#### createInterface

    private void createInterface(java.lang.String defNomBdd,
                       int defPort,
                       java.lang.String defIP,
                       java.lang.String defLogin,
                       java.lang.String defPassword,
                       boolean showExitButton)

Construit l'interface de la boite de dialogue.

Parameters:
  `defNomBdd` - Nom base de données.
  `defPort` - Port serveur base de données.
  `defIP` - Adresse ip serveur base de données.
  `defLogin` - Login utilisateur base de données.
  `defPassword` - Mot de passe utilisateur base de données.
  `showExitButton` - Afficher on non un bouton pour quitter l'aplication, remplaçant le bouton annuler.

#### afficher

    public boolean afficher()

Affiche la boite de dialogue.

Returns:
  Un booléen indiquant si la configuration à été modifié ou non (clic sur le bouton OK ou annuler).

#### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

Répond au clic sur les bouton: restaure la configuration par défault des champs, ou confirme/infirme que des changements on eu lieu, aprés vérification de la conformité des valeurs rentrées dans les champs.

Specified by:
  `actionPerformed` in interface `java.awt.event.ActionListener`
Parameters:
  `e` - Un ActionEvent au clic sur un bouton.

#### getNomBdd

    public java.lang.String getNomBdd()

Renvoie le nom de la bdd.

Returns:
  nom de la bdd.

#### getPort

    public int getPort()

Renvoie le port du serveur bdd.

Returns:
  le port du serveur bdd.

#### getIp

    public java.lang.String getIp()

Renvoie l'ip du serveur bdd.

Returns:
  l'ip port du serveur bdd.

#### getLogin

    public java.lang.String getLogin()

Renvoie le login de l'utilisateur du serveur bdd.

Returns:
  le login de l'utilisateur du serveur bdd.

#### getPassword

    public java.lang.String getPassword()

Renvoie le mot de passe de l'utilisateur du serveur bdd.

Returns:
  le mot de passe l'utilisateur du serveur bdd.